<template>
	<div class="settings ticket">
		<section class="settings_nav">
			<ul class="settings_menu">
				<router-link tag="li" to="/ticket/new" v-if="can('ticket_new', 'View')">
					<a href="">
						<span class="txt">{{$store.state.locale.newTickets}}</span>
						<span class="val">{{ quantities.countNew }}</span>
					</a>
				</router-link>
				<router-link tag="li" to="/ticket/done" v-if="can('ticket_done', 'View')">
					<a href="">
						<span class="txt">{{$store.state.locale.handledTickets}}</span>
						<span class="val">{{ quantities.countDone }}</span>
					</a>
				</router-link>
				<router-link tag="li" to="/ticket/closed" v-if="can('ticket_closed', 'View')">
					<a href="">
						<span class="txt">{{$store.state.locale.stoppedTickets}}</span>
						<span class="val">{{ quantities.countClosed }}</span>
					</a>
				</router-link>
				<router-link tag="li" to="/ticket/waiting" v-if="can('ticket_waiting', 'View')">
					<a href="">
						<span class="txt">{{$store.state.locale.waitingTickets}}</span>
						<span class="val">{{ quantities.countInWait }}</span>
					</a>
				</router-link>
				<router-link tag="li" to="/ticket/processed" v-if="can('ticket_processed', 'View')">
					<a href="">
						<span class="txt">{{$store.state.locale.processesTickets}}</span>
						<span class="val">{{ quantities.countInProcess }}</span>
					</a>
				</router-link>
				<router-link tag="li" to="/ticket/deleted" v-if="can('ticket_deleted', 'View')">
					<a href="">
						<span class="txt">{{$store.state.locale.deletedTickets}}</span>
						<span class="val">{{ quantities.countDeleted }}</span>
					</a>
				</router-link>
			</ul>
		</section>
		<router-view @deleted="CatchDeleted"></router-view>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				quantities: {},
			}
		},
		methods: {
			GetTicketCount() {
				axios
					.get('ClientCard/userClientCardsCounts', {
						params: {
							userId: this.$store.state.user_id
						}
					})
					.then(response => {
						this.quantities = response.data;
					})
					.catch(error => {
						console.log(error.message);
					});
			},


			CatchDeleted() {
				this.GetTicketCount();
			}
		},
		mounted() {
			this.GetTicketCount();
		}
	}
</script>

<style></style>